%define module cman
%define version 2.6.9
%define pre 31
%define mdkrelease 7mdk
%define release %{mdkrelease}

Summary: 	Cman-kernel: The Cluster Manager kernel modules
Name:		dkms-%{module}
Version: 	%{version}
Release: 	%{release}
Source0: 	%{module}-kernel-%{version}-%pre.tar.bz2
Patch0: 	configure_kernel.patch
License: 	GPL
Group: 		System/Kernel and Hardware
Url: 		http://sources.redhat.com/cluster/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Buildrequires: 	kernel-source sudo sharutils
Requires: 	dkms, drakxtools >= 9.2-8mdk

%description -n %{name}
The cman kernel headers are used by various cluster packages.

%package -n %module-devel
Summary: Kernel headers are used by various cluster packages
Group: System/Kernel and Hardware

%description -n %module-devel
The cman kernel headers are used by various cluster packages.

%prep
%setup -n %{module}-kernel-%{version}-%pre
%patch -p0

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_includedir}/cluster
cd $RPM_BUILD_DIR/%{module}-kernel-%{version}-%pre
# fix build for dkms
mv -v src/*.h .
cp -v src/*.c .
./configure --incdir=%{_includedir} --kernel_src=/usr/src/linux
cp -v src/Makefile .
ln -sf ./ cluster
perl -pi -e "s|include .*|include /var/lib/dkms/%module/%version/build/make/defines.mk|" Makefile 

# prepare devel package
headers="cnxman-socket.h cnxman.h service.h"
for head in $headers 
do
	cp -avf $head $RPM_BUILD_ROOT/%{_includedir}/cluster/
done

# driver source
mkdir -p $RPM_BUILD_ROOT/%{_usr}/src/%{module}-%{version}
cp -r * $RPM_BUILD_ROOT/%{_usr}/src/%{module}-%{version}
cat > $RPM_BUILD_ROOT/%{_usr}/src/%{module}-%{version}/dkms.conf <<EOF
PACKAGE_NAME=%{name}
PACKAGE_VERSION=%{version}

DEST_MODULE_LOCATION[0]=/kernel/cluster
BUILT_MODULE_NAME[0]=%module

AUTOINSTALL=yes
EOF

%post -n dkms-%{module}
set -x
/usr/sbin/dkms --rpm_safe_upgrade add -m %module -v %version
/usr/sbin/dkms --rpm_safe_upgrade build -m %module -v %version
/usr/sbin/dkms --rpm_safe_upgrade install -m %module -v %version

%preun -n dkms-%{module}
set -x
/usr/sbin/dkms --rpm_safe_upgrade remove -m %name -v %version --all

%clean
rm -rf $RPM_BUILD_DIR/%{module}-%{version}
rm -rf $RPM_BUILD_ROOT

%files -n dkms-%{module}
%defattr(-,root,root)
%dir %{_usr}/src/%{module}-%{version}
%{_usr}/src/%{module}-%{version}/*

%files -n %{module}-devel
%defattr(-,root,root)
%{_includedir}/cluster/cnxman-socket.h
%{_includedir}/cluster/cnxman.h
%{_includedir}/cluster/service.h

%changelog
* Wed May 11 2005 Antoine Ginies <aginies@n1.mandrakesoft.com> 2.6.9-7mdk
- some fix in specfile

* Mon May  9 2005 Antoine Ginies <aginies@mandriva.com> 2.6.9-6mdk
- now use dkms

* Fri Apr 15 2005  <guibo@guibpiv.guibland.com> 2.6.9-5mdk
- adjust provides

* Thu Apr 14 2005  <guibo@guibpiv.guibland.com> 2.6.9-4mdk
- add BOOT kernel

* Tue Apr 12 2005  <guibo@guibpiv.guibland.com> 2.6.9-3mdk
- add support for all kernel

* Mon Apr 11 2005  <guibo@node21.guibland.com> 2.6.9-2mdk
- fix requires

* Mon Apr 11 2005 Antoine Ginis <aginies@mandriva.com> 2.6.9-1mdk
- first release

